CHOWN(1)

NAZWA
chown - zmienia właściciela i grupę pliku

SKŁADNIA
chown [OPCJA]... [WŁAŚCICIEL][:[GRUPA]] PLIK...
chown [OPCJA]... --reference=PLIK-WZORC...

OPIS
Niniejsza strona podręcznika opisuje chown w wersji GNU. Program chown zmienia właściciela i/lub grupę właścicieli każdego zadanego pliku. Jeśli podano wyłącznie właściciela (nazwę użytkownika lub numeryczny identyfikator użytkownika), ten użytkownik staje się właścicielem każdego podanego pliku, a grupa nie jest zmieniana. Jeśli po właścicielu występuje dwukropek i nazwa grupy (lub numeryczny identyfikator grupy), bez spacji między nimi, zmieniana jest również grupa plików. Jeśli po właścicielu wpisano dwukropek, lecz nie podano nazwy grupy, właścicielem plików staje się wskazany użytkownik, a grupa jest zmieniana na główną grupę (zgłoszeniową) właściciela. Jeśli podano dwukropek i grupę, lecz pominięto nazwę właściciela, zmieniana jest tylko grupa plików; w tym wypadku chown dokonuje tych samych operacji co chgrp. Jeśli podano tylko dwukropek lub nie podano niczego, nic nie jest zmieniane.

OPCJE

Zmienia właściciela i/lub grupę podanego PLIKU na WŁAŚCICIEL i/lub GRUPA. Z opcją --reference, zmienia właściciela i grupę każdego PLIKU na takie, jakie ustawione ma plik PLIK-WZORC.

-c, --changes
    podobnie jak opcja --verbose, ale informuje tylko o dokonanych zmianach

-f, --silent, --quiet
    wyłącza wyświetlanie większości komunikatów o błędach

-v, --verbose
    wyświetla informacje diagnostyczne o każdym przetwarzanym pliku

--dereference
    działa na plikach wskazywanych przez dowiązania symboliczne (tak jest domyślnie), zamiast na samych dowiązaniach

-h, --no-dereference
    działa na dowiązaniach symbolicznych zamiast na plikach, na które one wskazują (użyteczne tylko w systemach, które potrafią zmienić właściciela dowiązania symbolicznego)

--from=OBECNY-WŁAŚCICIEL:OBECNA-GRUPA
    zmienia właściciela i/lub grupę każdego pliku tylko, jeśli obecny właściciel i/lub grupa pasują do podanych. Każdy z parametrów może być pominięty, wtedy dopasowanie nie będzie dla niego przeprowadzane

--no-preserve-root
    nie traktuje katalogu głównego / w sposób specjalny (domyślnie)

--preserve-root
    odmawia działania rekurencyjnego na /

--reference=PLIK-WZORC
    używa właściciela i grupy PLIKU-WZORC zamiast podanych wartości WŁAŚCICIEL:GRUPA

-R, --recursive
    działa rekurencyjnie na plikach i katalogach

Następujące opcje modyfikują sposób, w jaki program przemieszcza się po hierarchii katalogów, jeśli podano także opcję -R. Jeśli podano kilka opcji, używana jest ostatnia z podanych.

-H  jeśli argument wiersza poleceń jest dowiązaniem symbolicznym do katalogu, podąża za nim

-L  podąża za każdym napotkanym dowiązaniem symbolicznym do katalogu

-P  nie podąża za żadnymi dowiązaniami symbolicznymi (domyślnie)

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Właściciel nie jest zmieniany, jeśli nie został podany. Grupa nie jest zmieniana, jeśli nie została podana, ale jest zmieniana na główną grupę (zgłoszeniową) WŁAŚCICIELA, jeśli po nazwie użytkownika WŁAŚCICIEL podano dwukropek :. WŁAŚCICIEL i GRUPA mogą być zarówno numeryczne jak i symboliczne.

PRZYKŁADY

chown root /u
    Zmienia właściciela /u na "root".

chown root:staff /u
    Podobnie, lecz zmienia również jego grupę na "staff".

chown -hR root /u
    Zmienia właściciela /u i podkatalogów na "root".

AUTOR
Napisane przez Davida MacKenzie i Jima Meyeringa.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <http://www.gnu.org/software/coreutils/>
Zgłoszenia błędów w tłumaczeniu chown proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2016 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
chown(2)

Pełna dokumentacja na stronie: <http://www.gnu.org/software/coreutils/chown>
lub lokalnie, za pomocą info '(coreutils) chown invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Przemek Borys (PTM) <pborys@p-soft.silesia.linux.org.pl>, Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.25 oryginału.